Skip to main content
`Ctrl`+`K`

# PlanarEmbedding.add_half_edge_first

PlanarEmbedding.add_half_edge_first(start_node, end_node)

  Add a half-edge and set end_node as start_node’s leftmost neighbor.

  The new edge is inserted counterclockwise with respect to the current leftmost neighbor, if there is one.

  Parameters:
    start_node node
    end_node node

  See also

  `add_half_edge`
  `connect_components`